# Generated from kitchen-gogetit-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kitchen-gogetit

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: A kitchen driver based on Gogetit
License: Apache 2.0
URL: https://github.com/itisnotdone/kitchen-gogetit
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(cane)
# BuildRequires: rubygem(tailor)
# BuildRequires: rubygem(countloc)
BuildArch: noarch

%description
A kitchen driver based on Gogetit that has abilities to control MAAS, Libvirt
and LXD.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.cane
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/.tailor
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/kitchen-gogetit.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.2.2-1
- Initial package
